Package weka.classifiers.bayes

# Class NaiveBayesUpdateable

java.lang.Object
weka.classifiers.AbstractClassifier
weka.classifiers.bayes.NaiveBayes
weka.classifiers.bayes.NaiveBayesUpdateable

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Classifier`, `UpdateableClassifier`, `Aggregateable<NaiveBayes>`, `BatchPredictor`, `CapabilitiesHandler`, `CapabilitiesIgnorer`, `CommandlineRunnable`, `OptionHandler`, `RevisionHandler`, `TechnicalInformationHandler`, `WeightedAttributesHandler`, `WeightedInstancesHandler`

public class NaiveBayesUpdateable extends NaiveBayes implements UpdateableClassifier
Class for a Naive Bayes classifier using estimator classes. This is the updateable version of NaiveBayes.
This classifier will use a default precision of 0.1 for numeric attributes when buildClassifier is called with zero training instances.
For more information on Naive Bayes classifiers, see
George H. John, Pat Langley: Estimating Continuous Distributions in Bayesian Classifiers. In: Eleventh Conference on Uncertainty in Artificial Intelligence, San Mateo, 338-345, 1995.

BibTeX:

     @inproceedings{John1995,
        address = {San Mateo},
        author = {George H. John and Pat Langley},
        booktitle = {Eleventh Conference on Uncertainty in Artificial Intelligence},
        pages = {338-345},
        publisher = {Morgan Kaufmann},
        title = {Estimating Continuous Distributions in Bayesian Classifiers},
        year = {1995}
     }

Valid options are:

     -K
      Use kernel density estimator rather than normal
      distribution for numeric attributes

     -D
      Use supervised discretization to process numeric attributes

     -O
      Display model in old format (good when there are many classes)

Version:
  $Revision: 8034 $
Author:
  Len Trigg (trigg@cs.waikato.ac.nz), Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class weka.classifiers.AbstractClassifier

  `BATCH_SIZE_DEFAULT, NUM_DECIMAL_PLACES_DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NaiveBayesUpdateable()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRevision()`
  Returns the revision string.
  `TechnicalInformation`
  `getTechnicalInformation()`
  Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.
  `String`
  `globalInfo()`
  Returns a string describing this classifier
  `static void`
  `main(String[] argv)`
  Main method for testing this class.
  `void`
  `setUseSupervisedDiscretization(boolean newblah)`
  Set whether supervised discretization is to be used.

  ### Methods inherited from class weka.classifiers.bayes.NaiveBayes

  `aggregate, buildClassifier, displayModelInOldFormatTipText, distributionForInstance, finalizeAggregation, getCapabilities, getClassEstimator, getConditionalEstimators, getDisplayModelInOldFormat, getHeader, getOptions, getUseKernelEstimator, getUseSupervisedDiscretization, listOptions, setDisplayModelInOldFormat, setOptions, setUseKernelEstimator, toString, updateClassifier, useKernelEstimatorTipText, useSupervisedDiscretizationTipText`

  ### Methods inherited from class weka.classifiers.AbstractClassifier

  `batchSizeTipText, classifyInstance, debugTipText, distributionsForInstances, doNotCheckCapabilitiesTipText, forName, getBatchSize, getDebug, getDoNotCheckCapabilities, getNumDecimalPlaces, implementsMoreEfficientBatchPrediction, makeCopies, makeCopy, numDecimalPlacesTipText, postExecution, preExecution, run, runClassifier, setBatchSize, setDebug, setDoNotCheckCapabilities, setNumDecimalPlaces`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface weka.classifiers.UpdateableClassifier

  `updateClassifier`

- ## Constructor Details

  - ### NaiveBayesUpdateable

    public NaiveBayesUpdateable()

- ## Method Details

  - ### globalInfo

    public String globalInfo()
    Returns a string describing this classifier
    Overrides:
      `globalInfo` in class `NaiveBayes`
    Returns:
      a description of the classifier suitable for displaying in the explorer/experimenter gui

  - ### getTechnicalInformation

    public TechnicalInformation getTechnicalInformation()
    Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.
    Specified by:
      `getTechnicalInformation` in interface `TechnicalInformationHandler`
    Overrides:
      `getTechnicalInformation` in class `NaiveBayes`
    Returns:
      the technical information about this class

  - ### setUseSupervisedDiscretization

    public void setUseSupervisedDiscretization(boolean newblah)
    Set whether supervised discretization is to be used.
    Overrides:
      `setUseSupervisedDiscretization` in class `NaiveBayes`
    Parameters:
      `newblah` - true if supervised discretization is to be used.

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Overrides:
      `getRevision` in class `NaiveBayes`
    Returns:
      the revision

  - ### main

    public static void main(String[] argv)
    Main method for testing this class.
    Parameters:
      `argv` - the options